Google Web Toolkit (Beta)
Search this site:

# Interface PropertyOracle

public interface PropertyOracle
Provides deferred binding property values.

## Methods

getPropertyValue(TreeLogger, String) | Attempts to get a named deferred binding property.

## Method Detail

### getPropertyValue

public String getPropertyValue(TreeLogger logger, String propertyName)
throws BadPropertyValueException
Attempts to get a named deferred binding property. Throws `BadPropertyValueException` if the property is either undefined or has a value that is unsupported.

#### Parameters

logger
  the current logger
propertyName
  the name of the property

#### Return Value

a value for the property